Smart Proxy - Bug #13219

Foreman unable to import puppet class with unicode characters.
01/14/2016 08:49 AM - Arto Pastinen

Status: Closed
Priority: Normal
Assignee:
Category: Puppet
Target version: 1.10.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/360
Description

I am new with foreman ( used less than 12 hours ), so it is very likely that i have some setup problem.
| just spend 6 hours debugging why foreman is not able to import puppets btsync (mcanevet/btsync) module.
The modules was listed with puppet module list, so i think its fully foreman's problem.

The real problem was that btsync's init.pp file's comment ( ### ) contains unicode characters in developers personal name.
Removing those characters i was able to get to foreman to import the class.

My OS is running with UTF-8 locale, the file command shows that file is utf-8 encoded and foreman's config has utf-8 definition.

Related issues:
Related to Kafo - Bug #14473: invalid byte sequence in US-ASCII on UTF-8 mani... Closed 04/05/2016

Associated revisions

Revision 0a70eea0 - 01/21/2016 09:51 AM - Dmitri Dolguikh

Fixes #13219: force utf-8 external encoding on puppet classes

History

#1 - 01/14/2016 08:50 AM - Arto Pastinen

My OS is ubuntu ( Ixc container ) 14.04, and foreman 1.10 stable guess..

#2 - 01/14/2016 08:59 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy
- Category set to Puppet

- Priority changed from High to Normal

Likely to be something with Unicode handling on the smart proxy side, and probably very dependent on the version of Ruby the service is running
under.

#3 - 01/15/2016 09:43 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Anonymous

- Pull request https://github.com/theforeman/smart-proxy/pull/360 added

#4 - 01/15/2016 09:44 AM - Anonymous

Arto: please give https:/github.com/theforeman/smart-proxy/pull/360 a try, should resolve the issue you were seeing.

#5 - 01/21/2016 09:51 AM - Dominic Cleal

- translation missing: en.field_release set to 123
https://github.com/theforeman/smart-proxy/pull/360

#6 - 01/21/2016 10:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 0a70eea0979b981c1ae46cbcdaf49def285¢c72a7.

#7 - 04/05/2016 05:24 AM - Dominic Cleal
- Related to Bug #14473: invalid byte sequence in US-ASCII on UTF-8 manifests under C locale added
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/0a70eea0979b981c1ae46cbcdaf49def285c72a7
